# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gw2api/version'

Gem::Specification.new do |spec|
  spec.name          = 'gw2api'
  spec.version       = GW2API::VERSION
  spec.authors       = ['Eearslya Sleiarion']
  spec.email         = ['eearslya@gmail.com']

  spec.summary       = %q{A gem to allow easy access to all of the data provided by the Guild Wars 2 API.}
  spec.homepage      = 'https://github.com/Eearslya/GW2API-gem'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'typhoeus'

  spec.add_development_dependency 'bundler', '~> 1.14'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
	spec.add_development_dependency 'simplecov', '~> 0.12'
	spec.add_development_dependency 'codeclimate-test-reporter', '~> 1.0'
end
